#
# spec file for package ax25-apps (Version 0.0.6)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libax25

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25 libtool perl rpm

Name:         ax25-apps
URL:          http://ax25.sourceforge.net/
License:      GPL
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      0.0.6
Release:      180
Summary:      Applications for kernel AX.25
Source:       ax25-apps-0.0.6.tar.bz2
# Patch:        ax25-apps-0.0.6.diff
Provides:     ax25apps
Obsoletes:    ax25apps
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This package contains the applications which were found in the former
AX.25 Utilities: ax25ipd, ax25rtctl, ax25rtd, call, listen.



Authors:
--------
    Craig Small <csmall@small.dropbear.id.au>

%debug_package
%prep
%setup -n ax25-apps-0.0.6
# %patch -p0

%build
autoreconf --force --install
yes | CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=/usr --exec-prefix=/usr  --bindir=/usr/bin --sbindir=/usr/sbin --libexecdir=/usr/libexec --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib --includedir=/usr/include --infodir=/usr/info --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
make installconf DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/lib/ax25/ax25rtd
#cleanup
rm -rf $RPM_BUILD_ROOT/usr/share/doc/ax25-apps

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc ax25ipd/COPYING.ax25ipd ax25ipd/HISTORY.ax25ipd
%doc ax25rtd/README.ax25rtd ax25rtd/TODO.ax25rtd
%dir /etc/ax25
%dir /var/lib/ax25
%dir /var/lib/ax25/ax25rtd
%config /etc/ax25/ax25ipd.conf
%config /etc/ax25/ax25rtd.conf
%config /etc/ax25/ax25mond.conf
/usr/bin/call
/usr/bin/listen
%doc %{_mandir}/man1/call.1.gz
%doc %{_mandir}/man1/listen.1.gz
%doc %{_mandir}/man5/ax25mond.conf.5.gz
%doc %{_mandir}/man5/ax25ipd.conf.5.gz
%doc %{_mandir}/man8/ax25ipd.8.gz
%doc %{_mandir}/man8/ax25mond.8.gz
/usr/sbin/ax25ipd
/usr/sbin/ax25rtctl
/usr/sbin/ax25rtd
/usr/sbin/ax25mond

%changelog -n ax25-apps
* Mon Apr 26 2004 - ro@suse.de
- added no-strict-aliasing
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Jun 17 2003 - ro@suse.de
- use buildroot
- added missing directory to filelist
* Tue Feb 04 2003 - ro@suse.de
- /var/ax25 -> /var/lib/ax25
* Thu Dec 05 2002 - jreuter@suse.de
- upgrade to version 0.0.6
- bziped source
- renamed package to ax25-apps
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Nov 12 2001 - ro@suse.de
- build with automake 1.5
* Thu Apr 19 2001 - jreuter@suse.de
- new version: 0.0.5
- builds on AXP and PPC again
* Fri Mar 02 2001 - ro@suse.de
- include time.h
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Wed Nov 08 2000 - sim@suse.de
- changed group to Applications/Communications
* Sun Jun 18 2000 - ro@suse.de
- added suse_update_config
* Thu May 25 2000 - ka@suse.de
- docs to /usr/share/doc
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Thu Oct 21 1999 - ka@suse.de
- created directory /var/ax25/ax25rtd during install
- fixed double slash in paths: /etc/ax25//*.conf and
  /var/ax25//*
- added missing values to configure call
- added "make installconf" to install section of specfile
* Thu Sep 16 1999 - ka@suse.de
- update to version 0.0.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 12 1999 - ka@suse.de
- more detailed configure call
* Tue Jul 13 1999 - ka@suse.de
- update to version 0.0.2
- fixed typo in ax25rtd/Makefile.am
- added "--sysconfdir=/etc --localstatedir=/var" to spec file
* Tue Jul 06 1999 - ka@suse.de
- changed spec file to build on alpha AXP
* Wed Jun 23 1999 - ro@suse.de
- added libax25 to neededforbuild
* Fri Jun 11 1999 - ka@suse.de
- initial release of new sources for kernel 2.2.x
- original package ax25util was divided into ax25apps and ax25tool
* Wed May 19 1999 - ro@suse.de
- re-added patch to apps/call.c
* Tue May 18 1999 - ka@suse.de
- added patch for procutils.c
* Tue May 04 1999 - ro@suse.de
- rebuilt diff
- patched to build with glibc-2.1 and on alpha
- rspfd can't work on alpha yet due to inline asm
* Mon Mar 15 1999 - ro@suse.de
- renamed subpackage to ax25dev
* Fri Mar 12 1999 - ka@suse.de
- added sample configuration files to /etc/ax25/
* Thu Mar 11 1999 - ka@suse.de
- initial release
